// can store the info on a news team, tell the total years of experience

// written by Scott McElfresh


public class NewsTeam
{
    private NewsPerson  theTeam[];
    private String nameOfTeam;
    private int howmanyOnTeam;
    
    //*******
    // a team with the given name that can hold 10 members
    public NewsTeam(String thename)
    {
       nameOfTeam = thename;
       theTeam = new NewsPerson[10];
       howmanyOnTeam = 0;
    }
    //*******
    // add the new person to the team.  Does not do any checking to
    // see that there is room
    public void addMember(NewsPerson p)
    {
       theTeam[howmanyOnTeam] = p;
       howmanyOnTeam ++;
    
    }
    //*******
    // how many years of experience are there in total?
    public int totalYears()
    {
         int y = 0;
         for (int i = 0; i < howmanyOnTeam; i++)
             y = y + theTeam[i].getYears();
         return y;
    }
	//*******
    // accessors
    public String getStationName()
    {
      return nameOfTeam;
    }
	
	
	//*********
	// Display the members of the team, one per line, in the order they appear in the list
	public void display ()
	{
         for (int i = 0; i < howmanyOnTeam; i++)
            System.out.println(theTeam[i]);
	}
}